Bug 992989 - 'rhevm-cleanup' utility does not offer to clean up the existing 'Local ISO domain path' directory and associated '/etc/exports' entry
'rhevm-cleanup' utility does not offer to clean up the existing 'Local ISO do...
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.2.0
Unspecified Linux
medium Severity medium
: ---
: 3.3.0
Assigned To: Ofer Schreiber
Pavel Stehlik
integration
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 07:02 EDT by Rejy M Cyriac
Modified: 2015-09-22 09 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-22 07:18:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rejy M Cyriac 2013-08-05 07:02:25 EDT
Description of problem:
On a RHEVM system configured with local ISO Domain, the 'rhevm-cleanup' utility does not offer to clean up the existing 'Local ISO domain path' directory and '/etc/exports' entry.

If 'rhevm-setup' utility is subsequently run on this system, and if the same 'Local ISO domain path' directory is provided, it will error out, first with the following message.

--------------------------------------------------------

Error: mount point already exists in /etc/exports

--------------------------------------------------------

and on cleaning up the 'etc/exports' entry, it will error out again with the following error message.

--------------------------------------------------------

Error: directory /ISO-store is not empty

--------------------------------------------------------

It is apparent from this that the existing 'ISO domain path' directory and associated '/etc/exports' entry cannot be reused in a new set-up. So the 'rhevm-cleanup' utility run should have offered to clean up the existing 'Local ISO domain path' directory and associated '/etc/exports' entry.

Version-Release number of selected component (if applicable):
Red Hat Enterprise Virtualization Manager Version: 3.2.2-0.41.el6ev

How reproducible:


Steps to Reproduce:
1.Install RHEVM, and run rhevm-setup utility, and choose to configure 'ISO domain path' directory
2.Run rhevm-cleanup utility to clen up the RHEVM set-up
3.Run the rhevm-setup utility again, choosing to use the same 'ISO domain path' directory

Actual results:
On a RHEVM system configured with local ISO Domain, the 'rhevm-cleanup' utility does not offer to clean up the existing 'Local ISO domain path' directory and associated '/etc/exports' entry.

Expected results:
On a RHEVM system configured with local ISO Domain, the 'rhevm-cleanup' utility should offer to clean up the existing 'Local ISO domain path' directory and associated '/etc/exports' entry, so that the same directory path may be used for a subsequent RHEVM set-up.

Additional info:
Comment 1 Ofer Schreiber 2013-08-22 07:18:54 EDT
Looking at the new 3.3 cleanup script, you can see it asks about cleaning the ISO domain:
[ INFO  ] Stage: Environment customization
          Do you want to remove PKI configuration? (Yes, No) [No]: 
          Do you want to remove PKI keys? (Yes, No) [No]: 
          Do you want to remove ISO domain layout? (Yes, No) [No]:


So this bug is a real issue in 3.2 which was fixed already for 3.3, so I believe this bug could be closed.
Rejy - feel free to verify that 3.3 clean the ISO domain and /exports file the way you expect.

Note You need to log in before you can comment on or make changes to this bug.